package rione.agent.at;

import java.util.EnumSet;

import rescuecore2.standard.entities.AmbulanceCentre;
import rescuecore2.standard.entities.StandardEntityURN;

import rione.agent.CentreAgent;

public class AmbulanceCentreAgent extends CentreAgent<AmbulanceCentre> {

	@Override
	protected void initialize() {
		super.initialize();
		System.out.println(toString()+" is connected. [id="+getID()+"]");
	}

	@Override
	protected void prepareForAct() {
		super.prepareForAct();
		
	}

	@Override
	protected void act() throws ActionCommandException {
		
	}

	@Override
	protected void afterAct() {
		super.afterAct();
		
	}
	
	@Override
	protected EnumSet<StandardEntityURN> getRequestedEntityURNsEnum() {		
		return EnumSet.of(StandardEntityURN.AMBULANCE_CENTRE);
	}

	@Override
	public String toString() {
		return "Ri-one ambulance center agent";
	}
}
