package rione.model.route.pov.graph;

import java.util.ArrayList;
import java.util.Collection;

import rescuecore2.standard.entities.Edge;

class EdgeNodeBase extends PointNode {

	private Collection<AreaNodeBase> neighbours;
	
	EdgeNodeBase(Edge edge) {
		super(false, (edge.getStartX() + edge.getEndX()) / 2, (edge.getStartY() + edge.getEndY()) / 2);
		neighbours = new ArrayList<AreaNodeBase>();
	}
	
	public Collection<AreaNodeBase> getNeighbours() {
		return neighbours;
	}
	
	public void add(AreaNodeBase areaNode) {
		neighbours.add(areaNode);
	}

}
