#! /bin/bash

HOST="localhost"

if [ $# = 1 ]; then
    HOST=$1
fi

TEAM_CP="jars/kernel.jar:\
jars/collapse.jar:\
jars/gis2.jar:\
jars/sample.jar:\
jars/handy.jar:\
jars/human.jar:\
jars/ignition.jar:\
jars/clear.jar:\
jars/maps.jar:\
jars/misc.jar:\
jars/rescuecore2.jar:\
jars/resq-fire.jar:\
jars/sample.jar:\
jars/standard.jar:\
jars/traffic3.jar:\
jars/commons-logging-1.1.1.jar:\
jars/dom4j.jar:\
jars/jaxen-1.1.1.jar:\
jars/jcommon-1.0.16.jar:\
jars/jfreechart-1.0.13.jar:\
jars/jscience-4.3.jar:\
jars/jsi-1.0b2p1.jar:\
jars/junit-4.5.jar:\
jars/log4j-1.2.15.jar:\
jars/rescuecore.jar:\
jars/resq-fire.jar:\
jars/traffic-old.jar:\
jars/trove-0.1.8.jar:\
jars/uncommons-maths-1.2.jar:\
jars/xml-0.0.6.jar:\
jars/rioneviewer.jar:\
bin"

echo "*****************************************************************"  
echo "* Ri-one  - University of Ritsumeikan, The Japan                *"
echo "* Information and Technology Project Team Ri-one                *"
echo "* Created by:           Ri-one                                  *"
echo "* Research Coordinator: Katsuari Kamei                          *"
echo "* Team Coordinator:     Katsuari Kamei                          *"
echo "* Copyright 2009-2012.  Ri-one                                  *"
echo "* All rights reserved.                                          *"
echo "*****************************************************************"
sleep 0.2
echo "            #                                #"
echo "            #                                #"
echo "            ##################################"
echo "            ##################################"
echo "            ##################################"
echo "            #                ###             #"
echo "            #              #####             #"
echo "                        ########             #"
echo "                     ###########             #"
echo "                  ###########  ##           ##"
echo "            #  ############    ##           ##"
echo "            ###########        ###         ###"
echo "            #########           ###       ####"
echo "            ######              #############"
echo "            ####                 ###########"
echo "            #                       #####"
sleep 0.2
echo "            #"
echo "            #                  #"
echo "            ####################      ###"
echo "            ####################     #####"
echo "            ####################     #####"
echo "            #"
sleep 0.2
echo "                       ##"
echo "                       ##"
echo "                       ##"
echo "                       ##"
echo "                       ##"
echo "                       ##"
echo "                       ##"
echo "                       ##"
echo "                       ##"
echo "                       ##"
echo ""
sleep 0.2
echo "                   ######"
echo "                ############"
echo "              ################"
echo "             #####        #####"
echo "            ###               ##"
echo "            #                  #"
echo "            #                  #"
echo "            ##                ##"
echo "             ##              ###"
echo "             #####        #####"
echo "               ###############"
echo "                 ##########"
echo ""                          
sleep 0.2
echo "            #                  #"
echo "            ####################"
echo "            ####################"
echo "            ####################"
echo "            #               ##"
echo "                             ##"
echo "                              ##"
echo "                              ##"
echo "            #               ####"
echo "            ####################"
echo "            ###################"
echo "            ################"
echo "            #"
sleep 0.2
echo "                   ######"
echo "                ############"
echo "              ################"
echo "             #####   ##   #####"
echo "            ###      ##       ##"
echo "            #        ##        #"
echo "            #        ##        #"
echo "            #        ##       ##"
echo "             #       ##     ####"
echo "             ##      ##########"
echo "               ##    ########"
echo "                     ####"
echo ""
echo "Start agents."

STDERR="stderr.txt"
date > $STDERR

java -Xms3072m -Xmx3072m -server -cp $TEAM_CP rione.LaunchAgents rione.viewer.AdvancedViewer*1 rione.agent.fb.DebugFireBrigadeAgent*n rione.agent.at.DebugAmbulanceTeamAgent*n rione.agent.pf.DebugPoliceForceAgent*n rione.agent.fb.FireStationAgent*n rione.agent.at.AmbulanceCentreAgent*n rione.agent.pf.DebugPoliceOfficeAgent*n -h $HOST --loadabletypes.inspect.dir=jars --random.seed=1 # 3>&1 1>&2 2>&3 | tee -a $STDERR
