package rione.model.route.pov;

import rione.model.route.pov.graph.PointNode;

/**
 * 探索時のコスト関数<br>
 * 
 * @author utisam
 *
 */
public interface CostFunction {

	/**
	 * コストを導出する．
	 * まともな探索なら一度ぐらいしか通らないはず．
	 * @param from
	 * @param to
	 * @return
	 */
	double cost(PointNode from, PointNode to);
}
